#include <SPI.h>
#include <GD.h>

#include "tty.h"

void setup()
{
  Serial.begin(1000000);    // JCB
  GD.begin();
  Tty.begin();
  Tty.printf("** starting **\n");
}

void loop()
{
  Tty.home();
  Tty.printf("** analog demo **\n\n\n");
  for (byte i = 0; i < 6; i++)
    Tty.printf("analog A%d = %4d\n\n", i, analogRead(i));
  delay(10);
  // static int s; GD.screenshot(s++); // JCB
}
